Subject: Re: [dane] Classic PKI and DANE in harmony

From: Ben Laurie <[email-masked]>
Date: Mon, 3 Jun 2013 10:19:30 +0100

On 31 May 2013 16:36, Phillip Hallam-Baker <[email-masked]> wrote:
> On Thu, May 30, 2013 at 6:13 AM, Jakob Schlyter <[email-masked]> wrote:
>>
>> On 30 maj 2013, at 10:09, Christian Heutger <[email-masked]> wrote:
>>
>> > I support your point of view, however domain validation also has some
>> > advantages with public certificates over DANE. The requirement for
>> > renewing (create new private key), the instant revoke with CRL and OCSP
>> > (against caching DNS) but finally also to aware against hackers and
>> > spammers. So if you look at DANE, everyone can run a valid site with
>> > https
>> > and e.g. spread malware through that as often https traffic is not
>> > scanned
>> > and usually be trusted, like recent mentioned phishing attacks. In
>> > addition with SMTP over TLS running mail servers, the assumption would
>> > be,
>> > that it is a valid mail server. If everyone can go with SMTP over TLS,
>> > giving more trust to valid SMTP connections will be undergone.
>>
>> The additional services you mention are optional and not part of WebTrust
>> and/or ETSI certifications. There is no guarantee that such services are
>> performed on services served under a classic PKI certificate.
>>
>> Regarding revocation we've seen too many examples where CRLs are not
>> checked properly by the clients and/or OCSP responders are not responding
>> (or responding so slow that users disable them). This might not be how the
>> PKI infrastructure was designed, but it is the reality.
>>
>> Anyone can do SMTP with TLS today and most (sane) mail servers do that.
>> Without classic PKI. And the SMTP servers they talk to do no validation
>> whatsoever. DANE can only make things better here.
>
>
>
> I agree with Jacob here but for a slightly different set of reasons.
>
> First and most important, SMTP certs are only ever seen by SMTP clients
> which are almost always MTAs in the modern Internet. It is not possible to
> send SMTP on port 25 from 95% of IP addresses. You have to use submit. So
> even if someone wanted to put a user experience onto STARTTLS they can't.
> And doing so would be a silly idea because STARTTLS is not end to end at the
> receiver.
>
> So STARTTLS is an application where we only ever require confirmation of the
> DNS name and nothing more. There is no need for accountability in a
> receiver. There is no need to validate a claim to a real world identity and
> reputation.

I don't understand this claim - are you suggesting that DNS itself is
a reliable way to link an end entity to a certificate?